Bug 1094138 - Accounts Service polkit policy is desktop centric, prevents server usage
Summary: Accounts Service polkit policy is desktop centric, prevents server usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: accountsservice
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1094121 cockpit-F21-tracker 1108258 1140562 1142154 1144010 F21ServerWG
TreeView+ depends on / blocked
 
Reported: 2014-05-05 06:54 UTC by Stef Walter
Modified: 2014-09-29 04:03 UTC (History)
3 users (show)

Fixed In Version: accountsservice-0.6.38-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 04:03:30 UTC


Attachments (Terms of Use)
Update to 0.6.38 release (2.08 KB, patch)
2014-09-18 15:49 UTC, Stef Walter
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 78279 None None None Never

Description Stef Walter 2014-05-05 06:54:37 UTC
Description of problem:

The shipped polkit policy is completely desktop-centric and expects that the admin user is logged in an active local session (ie: a seat in logind parlance, with a monitor and keyboard).

This prevents DBus API use when logged in via ssh (and using pkttyagent as your polkit agent) or via Cockpit.

The <allow_any> tag in polkit policy applies to non-local sessions. It should be set to something other than 'no' unless the action directly affects hardware of the login seat.

Version-Release number of selected component (if applicable):

accountsservice-0.6.35-4.fc20.x86_64

Comment 2 Stef Walter 2014-09-18 15:20:33 UTC
Upstream 0.6.38 release contains fix for this.

Comment 3 Stef Walter 2014-09-18 15:49:13 UTC
Created attachment 938967 [details]
Update to 0.6.38 release

 * Fix polkit policy rhbz#1094138

Comment 5 Fedora Update System 2014-09-26 08:36:33 UTC
accountsservice-0.6.38-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/accountsservice-0.6.38-1.fc21

Comment 6 Fedora Update System 2014-09-27 09:51:27 UTC
Package accountsservice-0.6.38-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing accountsservice-0.6.38-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11628/accountsservice-0.6.38-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-29 04:03:30 UTC
accountsservice-0.6.38-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.